Subject: Re: linux-next: manual merge of the char-misc tree with the ia64 tree

From: Greg KH <[email-masked]>
Date: Tue, 15 Jul 2014 06:49:20 -0700

On Tue, Jul 15, 2014 at 06:44:58AM -0700, Greg KH wrote:
> On Tue, Jul 15, 2014 at 04:43:49PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the char-misc tree got conflicts in
> > drivers/Kconfig and drivers/Makefile between commit 76ac8275f296
> > ("trace, RAS: Add basic RAS trace event") from the ia64 tree and commit
> > 16603153666d ("thunderbolt: Add initial cactus ridge NHI support") from
> > the char-misc tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary (no action
> > is required).
> 
> Looks good, thanks.

Wait, do we really need a drivers/ras directory for one single driver?
Why not put it in drivers/misc/ instead?  A whole subdir at the top of
drivers seems overkill and odd.

As it's a memory driver, what about drivers/firmware/ or drivers/edac/
or drivers/platform?

thanks,

greg k-h